org.eclipse.jetty.annotations

## Class ServletContainerInitializerListener

- java.lang.Object
- - org.eclipse.jetty.annotations.ServletContainerInitializerListener

- All Implemented Interfaces:
    EventListener, javax.servlet.ServletContextListener

      public class ServletContainerInitializerListener
      extends Object
      implements javax.servlet.ServletContextListener

  ServletContainerInitializerListener

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected WebAppContext` | `_context`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServletContainerInitializerListener()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `contextDestroyed(javax.servlet.ServletContextEvent sce)`
    `void` | `contextInitialized(javax.servlet.ServletContextEvent sce)`
    `void` | `setWebAppContext(WebAppContext context)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _context

          protected WebAppContext _context

  - ### Constructor Detail

    - #### ServletContainerInitializerListener

          public ServletContainerInitializerListener()

  - ### Method Detail

    - #### setWebAppContext

          public void setWebAppContext(WebAppContext context)

    - #### contextInitialized

          public void contextInitialized(javax.servlet.ServletContextEvent sce)

      Specified by:
        `contextInitialized` in interface `javax.servlet.ServletContextListener`
      See Also:
        `ServletContextListener.contextInitialized(javax.servlet.ServletContextEvent)`

    - #### contextDestroyed

          public void contextDestroyed(javax.servlet.ServletContextEvent sce)

      Specified by:
        `contextDestroyed` in interface `javax.servlet.ServletContextListener`
      See Also:
        `ServletContextListener.contextDestroyed(javax.servlet.ServletContextEvent)`

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.